Package org.bukkit.block.data.type

# Interface Piston

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface Piston extends Directional
'extended' denotes whether the piston head is currently extended or not.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isExtended()`
Gets the value of the 'extended' property.
`void`
`setExtended(boolean extended)`
Sets the value of the 'extended' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### isExtended

boolean isExtended()
Gets the value of the 'extended' property.

Returns:
  the 'extended' value

### setExtended

void setExtended(boolean extended)
Sets the value of the 'extended' property.

Parameters:
  `extended` - the new 'extended' value